## org.apache.cassandra.io.sstable
Class SSTableLoader.Client

    java.lang.Object
      org.apache.cassandra.io.sstable.SSTableLoader.Client

Enclosing class:
  SSTableLoader

    public abstract static class SSTableLoader.Client

extends java.lang.Object

Constructor Summary
`SSTableLoader.Client()`

Method Summary
`protected void` `addRangeForEndpoint(Range range, java.net.InetAddress endpoint)`
`java.util.Map<java.net.InetAddress,java.util.Collection<Range>>` `getEndpointToRangesMap()`
`abstract void` `init(java.lang.String keyspace)` Initialize the client.
`void` `stop()` Stop the client.
`abstract boolean` `validateColumnFamily(java.lang.String keyspace, java.lang.String cfName)` Validate that `keyspace` is an existing keyspace and `cfName` one of its existing column family.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSTableLoader.Client

    public SSTableLoader.Client()

Method Detail

### init

    public abstract void init(java.lang.String keyspace)

  Initialize the client. Perform any step necessary so that after the call to the this method: * StorageService is correctly initialized (so that gossip and messaging service is too) * getEndpointToRangesMap() returns a correct map This method is guaranted to be called before any other method of a client.

### stop

    public void stop()

  Stop the client.

### validateColumnFamily

    public abstract boolean validateColumnFamily(java.lang.String keyspace,
                                                 java.lang.String cfName)

  Validate that `keyspace` is an existing keyspace and `cfName` one of its existing column family.

### getEndpointToRangesMap

    public java.util.Map<java.net.InetAddress,java.util.Collection<Range>> getEndpointToRangesMap()

### addRangeForEndpoint

    protected void addRangeForEndpoint(Range range,
                                       java.net.InetAddress endpoint)

Copyright © 2012 The Apache Software Foundation